summaryrefslogtreecommitdiffstats
path: root/multiarch-dispatch
diff options
context:
space:
mode:
Diffstat (limited to 'multiarch-dispatch')
-rwxr-xr-xmultiarch-dispatch23
1 files changed, 23 insertions, 0 deletions
diff --git a/multiarch-dispatch b/multiarch-dispatch
new file mode 100755
index 0000000..db98f1d
--- /dev/null
+++ b/multiarch-dispatch
@@ -0,0 +1,23 @@
+#!/bin/sh
+#---------------------------------------------------------------
+# Project : Mandrakelinux
+# Module : multiarch-utils
+# File : multiarch-dispatch
+# Version : $Id$
+# Author : Gwenole Beauchesne
+# Created On : Wed Jan 12 12:38:53 EST 2005
+#---------------------------------------------------------------
+
+if [[ "$0" = "/usr/bin/multiarch-dispatch" ]]; then
+ echo "Helper script to dispatch a binary under a specific personality"
+ exit 0
+fi
+
+bin=`dirname $0`/`multiarch-platform`/${0##*/}
+
+if [[ -x "$bin" ]]; then
+ echo "Cannot execute $bin" > /dev/stderr
+ exit 1
+fi
+
+exec $bin ${1+"$@"}